

Name:           python-service-identity
Version:        14.0.0
Release:        %mkrel 2
Summary:        Service identity verification for pyOpenSSL
Group:			Development/Python
License:        MIT
URL:            https://github.com/pyca/service_identity
Source0:        https://pypi.python.org/packages/source/s/service_identity/service_identity-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python-characteristic
Requires:       python-pyasn1
Requires:       python-OpenSSL
Requires:       python-idna

%package -n python3-service-identity
Summary:        Logging as Storytelling
Group:			Development/Python
Requires:       python3-six
Requires:       python3-characteristic
Requires:       python3-pyasn1
Requires:       python3-OpenSSL
Requires:       python3-idna

%description
Service Identity Verification for pyOpenSSL

TL;DR: Use this package if you use pyOpenSSL and don’t want to be MITMed.

service_identity aspires to give you all the tools you need for verifying
whether a certificate is valid for the intended purposes.

In the simplest case, this means host name verification. However,
service_identity implements RFC 6125 fully and plans to add other relevant RFCs
too.

%description -n python3-service-identity
Service Identity Verification for pyOpenSSL

TL;DR: Use this package if you use pyOpenSSL and don’t want to be MITMed.

service_identity aspires to give you all the tools you need for verifying
whether a certificate is valid for the intended purposes.

In the simplest case, this means host name verification. However,
service_identity implements RFC 6125 fully and plans to add other relevant RFCs
too.

%prep
%setup -q -n service_identity-%{version}

# Remove bundled egg-info
rm -rf service_identity.egg-info

cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
rm -rf %buildroot
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst LICENSE
%{python_sitelib}/service_identity
%{python_sitelib}/service_identity-%{version}-py%{python_version}.egg-info

%files -n python3-service-identity
%doc README.rst LICENSE
%{python3_sitelib}/service_identity
%{python3_sitelib}/service_identity-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Oct 18 2016 adrianomorselli <adrianomorselli> 14.0.0-2uplos2016
- rebuild

* Wed Apr 20 2016 bb <bb> 14.0.0-2pclos2016
- rebuild for python-openssl

* Sun Sep 13 2015 bb <bb> 14.0.0-1pclos2015
- import into pclos
